Providers
Get provider
Get details for a specific provider. No authentication required.
GET
/
v1
/
providers
/
{id}
curl https://api.socialrouter.io/v1/providers/apify
const response = await fetch("https://api.socialrouter.io/v1/providers/apify");
const provider = await response.json();
import requests
response = requests.get("https://api.socialrouter.io/v1/providers/apify")
provider = response.json()
{
"id": "apify",
"name": "Apify",
"description": "Versatile scraping platform with broad social media coverage.",
"status": "active",
"supported_platforms": ["linkedin", "youtube", "googlemaps"],
"supported_types": ["post.likes", "profile.info", "profile.posts", "profile.shorts", "video.info", "video.transcript", "channel.info", "playlist.posts", "hashtag.posts", "place.info"],
"supported_search_types": ["place.search", "video.search"],
"pricing": [
{
"type": "profile.info",
"platforms": ["linkedin"],
"price_per_record": 0.0065
}
],
"search_pricing": [
{
"type": "place.search",
"platforms": ["googlemaps"],
"price_per_record": 0.0015
}
]
}
{
"error": {
"code": "not_found",
"message": "Provider 'unknown' not found.",
"type": "not_found"
}
}
string
required
The provider ID (e.g.,
apify, brightdata).curl https://api.socialrouter.io/v1/providers/apify
const response = await fetch("https://api.socialrouter.io/v1/providers/apify");
const provider = await response.json();
import requests
response = requests.get("https://api.socialrouter.io/v1/providers/apify")
provider = response.json()
{
"id": "apify",
"name": "Apify",
"description": "Versatile scraping platform with broad social media coverage.",
"status": "active",
"supported_platforms": ["linkedin", "youtube", "googlemaps"],
"supported_types": ["post.likes", "profile.info", "profile.posts", "profile.shorts", "video.info", "video.transcript", "channel.info", "playlist.posts", "hashtag.posts", "place.info"],
"supported_search_types": ["place.search", "video.search"],
"pricing": [
{
"type": "profile.info",
"platforms": ["linkedin"],
"price_per_record": 0.0065
}
],
"search_pricing": [
{
"type": "place.search",
"platforms": ["googlemaps"],
"price_per_record": 0.0015
}
]
}
supported_search_types and search_pricing are omitted when the provider has no search coverage.{
"error": {
"code": "not_found",
"message": "Provider 'unknown' not found.",
"type": "not_found"
}
}
⌘I
curl https://api.socialrouter.io/v1/providers/apify
const response = await fetch("https://api.socialrouter.io/v1/providers/apify");
const provider = await response.json();
import requests
response = requests.get("https://api.socialrouter.io/v1/providers/apify")
provider = response.json()
{
"id": "apify",
"name": "Apify",
"description": "Versatile scraping platform with broad social media coverage.",
"status": "active",
"supported_platforms": ["linkedin", "youtube", "googlemaps"],
"supported_types": ["post.likes", "profile.info", "profile.posts", "profile.shorts", "video.info", "video.transcript", "channel.info", "playlist.posts", "hashtag.posts", "place.info"],
"supported_search_types": ["place.search", "video.search"],
"pricing": [
{
"type": "profile.info",
"platforms": ["linkedin"],
"price_per_record": 0.0065
}
],
"search_pricing": [
{
"type": "place.search",
"platforms": ["googlemaps"],
"price_per_record": 0.0015
}
]
}
{
"error": {
"code": "not_found",
"message": "Provider 'unknown' not found.",
"type": "not_found"
}
}